import java.awt.*;

class Bag extends Frame
{
    STG zonenord;
    STG zonesud;
    STG zoneest;
    STG zonecentre;
    STG zoneouest;
    
    
    int nblignes = 6;
    int nbcolonnes = 10;

    GridBagLayout gbl;        
    GridBagConstraints cons;
    
    void addComposantGridBag(GridBagLayout gb,
			     GridBagConstraints cons,
			     Component composant,
			     int gridx,
			     int gridy,
			     int gridwidth,
			     int gridheight,
			     int fil)
    {
	cons.gridx=gridx;
	cons.gridy=gridy;
	cons.gridwidth=gridwidth;
	cons.gridheight=gridheight;
	cons.fill=fil;
	gb.setConstraints(composant,cons);
	add(composant);
    }

    public Bag(String titre,
                  int taillepolice)
     {
        super(titre);
	
	gbl = new GridBagLayout();
	setLayout(gbl);
	
	cons = new GridBagConstraints();
	        

	zonenord = new STG("Nord",
                            nblignes, 
                            nbcolonnes, 
                            "Serif", 
                            Font.BOLD,
                            taillepolice);
        addComposantGridBag(gbl, cons, zonenord, 0, 0, 2, 1,GridBagConstraints.HORIZONTAL); 
        zonesud = new STG("Sud",
                          nblignes,
                          nbcolonnes,
                          "Serif",
                          Font.BOLD,
                          taillepolice);
        addComposantGridBag(gbl, cons, zonesud, 2, 0, 1, 3, GridBagConstraints.VERTICAL); 
        zoneest = new STG("Est",
                          nblignes,
                          nbcolonnes,
                          "Serif",
                          Font.BOLD,
                          taillepolice);
        addComposantGridBag(gbl, cons, zoneest, 0, 1, 2, 1, GridBagConstraints.BOTH); 
        zoneouest = new STG("Ouest",
                            nblignes,
                            nbcolonnes,
                            "Serif",
                            Font.BOLD,
                            taillepolice);
        addComposantGridBag(gbl, cons, zoneouest, 0, 2, 1, 1,GridBagConstraints.NONE); 
        zonecentre = new STG("Centre",
                             nblignes,
                             nbcolonnes,
                             "Serif",
                             Font.BOLD,
                             taillepolice);
        addComposantGridBag(gbl, cons, zonecentre, 1, 2, 1, 1,GridBagConstraints.VERTICAL); 
     }
    


   public static void main(String[] args)
     {
        Bag f;
        String titre = "Utilisation d'un GridBag";
        int taillepolice=18;
        f = new Bag(titre, taillepolice);
        f.pack();
        f.setVisible(true);
    }
}











