import java.awt.*;
class STG extends TextArea
{
    STG(String text,
        int nblignes,
        int nbcolonnes,
        String police,
        int typepolice,
        int taillepolice)
    {
        super(text,nblignes,nbcolonnes, SCROLLBARS_NONE);
        // Fixe la police
        setFont(new Font(police, typepolice, taillepolice));
        // Pour empecher de modifier le texte
        setEditable(false);
    }
}

class Composant1 extends Frame
{
    STG zonetexte;

    int nblignes = 5;
    int nbcolonnes = 20;
    
    public Composant1(String titre,
                      String message,
                      int taillepolice)
    {
        super(titre);
        zonetexte = new STG(message, 
                            nblignes, 
                            nbcolonnes, 
                            "Serif", 
                            Font.BOLD,
                            taillepolice);
        add(zonetexte, "North");
    }

    public static void main(String[] args)
    {
        Composant1 f;
        String titre = "Affichage dans une fenetre texte";
        String message = "Un composant\n TextArea permet\n"+
    "l'affichage\n de plusieurs lignes\n";
        int taillepolice=18;
        f = new Composant1(titre, message, taillepolice);
        f.pack();
        f.setVisible(true);
    }
}
